"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
class ApiModule {
    constructor(vrc) {
        this.vrc = vrc;
    }
    get userId() {
        return this.vrc.userId;
    }
    async getReq(url, params = {}) {
        let p = Object.assign({
            apiKey: this.vrc.apiKey,
            authToken: this.vrc.token,
        }, params);
        return await this.vrc.api.get(url, {
            params: p,
        });
    }
    async deleteReq(url) {
        return await this.vrc.api.delete(url, {
            params: {
                apiKey: this.vrc.apiKey,
                authToken: this.vrc.token,
            },
        });
    }
    async request(method, url, body = null) {
        return await this.vrc.api[method](url, body, {
            params: {
                apiKey: this.vrc.apiKey,
                authToken: this.vrc.token,
            },
        });
    }
    async postReq(url, body = null) {
        return await this.request('post', url, body);
    }
    async putReq(url, body = null) {
        return await this.request('put', url, body);
    }
}
exports.default = ApiModule;
