"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const api_module_1 = require("./api-module");
class Favorite extends api_module_1.default {
    get add() {
        return {
            friend: async (friendId) => {
                const result = await this.postReq('favorites', { type: 'friend', favoriteId: friendId });
                return result.data;
            },
            world: async (worldId) => {
                const result = await this.postReq('favorites', { type: 'world', favoriteId: worldId });
                return result.data;
            },
            avatar: async (avatarId) => {
                const result = await this.postReq('favorites', { type: 'avatar', favoriteId: avatarId });
                return result.data;
            },
        };
    }
    async getInfo(favoriteId) {
        const result = await this.getReq(`favorites/${favoriteId}`);
        return result.data;
    }
    async list(type = null) {
        const result = await this.getReq(`favorites`, { type: type });
        return result.data;
    }
    async delete(favoriteId) {
        const result = await this.deleteReq(`favorites/${favoriteId}`);
        return result.data;
    }
}
exports.default = Favorite;
