import ApiModule from './api-module';
import { NotificationId } from '../types/common';
import { NotificationDetail, NotificationInfo } from '../types/notification';
export default class Notification extends ApiModule {
    private _send;
    readonly send: {
        friendRequest: (targetUser: string) => Promise<NotificationInfo>;
        invite: (targetUser: string, worldId: string, message?: string) => Promise<NotificationInfo>;
        /**
         * @deprecated
         */
        halp: (targetUser: string, worldId: string, message?: string) => Promise<NotificationInfo>;
        /**
         * @deprecated
         */
        voteToKick: (targetUser: string) => Promise<NotificationInfo>;
        /**
         * @deprecated
         */
        all: (targetUser: string) => Promise<NotificationInfo>;
        /**
         * @deprecated
         */
        hidden: (targetUser: string) => Promise<NotificationInfo>;
        /**
         * @deprecated It seems that it can not be used yet.
         */
        message(): Promise<void>;
    };
    markAsRead(notificationId: NotificationId): Promise<NotificationDetail>;
    delete(notificationId: NotificationId): Promise<NotificationDetail>;
    getAll(): Promise<NotificationDetail[]>;
}
