import ApiModule from './api-module';
import { FriendRequestResponse, FriendsOptions, FriendsResponse, FriendStatusResponse, UpdateUserOptions, UserInfoResponse, UserResponse, UserSearchOptions, UserSearchResponse } from '../types/user';
import { NotificationId, StatusResponse, UserId } from '../types/common';
export default class User extends ApiModule {
    getUserInfo(): Promise<UserInfoResponse>;
    updateUserInfo(params: Partial<UpdateUserOptions>): Promise<UserInfoResponse>;
    getFriends(options?: Partial<FriendsOptions>): Promise<FriendsResponse[]>;
    getFriendStatus(userId: UserId): Promise<FriendStatusResponse>;
    sendFriendRequest(userId: UserId): Promise<FriendRequestResponse>;
    unfriend(userId: UserId): Promise<StatusResponse>;
    acceptFriend(notificationId: NotificationId): Promise<StatusResponse>;
    getById(userId: UserId): Promise<UserResponse>;
    getByName(username: string): Promise<UserResponse>;
    readonly search: {
        all: (options?: Partial<UserSearchOptions>) => Promise<UserSearchResponse>;
        /**
         * @deprecated 403 Error
         */
        active: (options?: Partial<UserSearchOptions>) => Promise<UserSearchResponse>;
    };
}
