import ApiModule from './api-module';
import { InstanceId, WorldId } from '../types/common';
import { InstanceInfo, MetadataResponse, WorldDetail, WorldInfo, WorldSearchRequest } from '../types/world';
export default class World extends ApiModule {
    getById(worldId: WorldId): Promise<WorldDetail>;
    readonly search: {
        all: (options?: Partial<WorldSearchRequest>) => Promise<WorldInfo[]>;
        active: (options?: Partial<WorldSearchRequest>) => Promise<WorldInfo[]>;
        recent: (options?: Partial<WorldSearchRequest>) => Promise<WorldInfo[]>;
        favorites: (options?: Partial<WorldSearchRequest>) => Promise<WorldInfo[]>;
    };
    getMetadata(worldId: WorldId): Promise<MetadataResponse>;
    getInstanceWithTags(worldId: WorldId, instanceId: InstanceId): Promise<InstanceInfo>;
}
