"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const api_module_1 = require("./api-module");
class World extends api_module_1.default {
    async getById(worldId) {
        const result = await this.getReq(`worlds/${worldId}`);
        return result.data;
    }
    get search() {
        return {
            all: async (options = {}) => {
                const result = await this.getReq('worlds', options);
                return result.data;
            },
            active: async (options = {}) => {
                const result = await this.getReq('worlds/active', options);
                return result.data;
            },
            recent: async (options = {}) => {
                const result = await this.getReq('worlds/recent', options);
                return result.data;
            },
            favorites: async (options = {}) => {
                const result = await this.getReq('worlds/favorites', options);
                return result.data;
            },
        };
    }
    async getMetadata(worldId) {
        const result = await this.getReq(`worlds/${worldId}/metadata`);
        return result.data;
    }
    async getInstanceWithTags(worldId, instanceId) {
        const result = await this.getReq(`worlds/${worldId}/${instanceId}`);
        return result.data;
    }
}
exports.default = World;
