export declare type UserId = string;
export declare type AvatarId = string;
export declare type WorldId = string;
export declare type FavoriteId = string;
export declare type InstanceId = string;
export declare type NotificationId = string;
export declare type ModerationId = string;
export declare type DateTimeString = string;
export declare type SortOption = 'popularity' | 'created' | 'updated' | 'order' | '_created_at' | '_updated_at';
export declare type OrderOption = 'ascending' | 'descending';
export interface SearchRequest {
    n: number;
    offset: number;
}
interface StatusMessage {
    message: string;
    status_code: number;
}
export interface StatusResponse {
    success?: StatusMessage;
    error?: StatusMessage;
}
export interface UnityPackage {
    id: string;
    assetUrl: string;
    pluginUrl: string;
    unityVersion: string;
    unitySortNumber: number;
    assetVersion: number;
    platform: string;
    created_at: DateTimeString;
}
export {};
