import { AxiosInstance } from 'axios';
import User from './modules/user';
import Avatar from './modules/avatar';
import Favorite from './modules/favorite';
import World from './modules/world';
import Moderation from './modules/moderation';
import Notification from './modules/notification';
export default class VrcApi {
    private readonly vrc;
    private _apiKey;
    private _token;
    private _userId;
    readonly user: User;
    readonly avatar: Avatar;
    readonly favorite: Favorite;
    readonly world: World;
    readonly moderation: Moderation;
    readonly notification: Notification;
    constructor(type?: 'release' | 'beta' | 'dev');
    login(username: string, password: string): Promise<void>;
    readonly api: AxiosInstance;
    readonly apiKey: string;
    readonly token: string;
    readonly userId: string;
}
